Exchange Rate¶
Get¶
HTTP Request
GET /api/v1/exchange-rates/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 0,
19 "status": "CREATED",
20 "displayId": "string",
21 "erpSystemId": 0,
22 "erpSystemDisplayId": "string",
23 "validFrom": "2019-08-24",
24 "rate": 0,
25 "fromFactor": 0,
26 "toFactor": 0,
27 "indirectExchangeRate": 0,
28 "indirectFromFactor": 0,
29 "indirectToFactor": 0,
30 "exchangeRateType": "string",
31 "alternateExchangeRateType": "string",
32 "fromCurrencyId": 0,
33 "fromCurrencyDisplayId": "string",
34 "toCurrencyId": 0,
35 "toCurrencyDisplayId": "string"
36 }
37}
Update¶
HTTP Request
PUT /api/v1/exchange-rates/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "status": "CREATED",
4 "displayId": "string",
5 "erpSystemId": 0,
6 "erpSystemDisplayId": "string",
7 "validFrom": "2019-08-24",
8 "rate": 0,
9 "fromFactor": 0,
10 "toFactor": 0,
11 "indirectExchangeRate": 0,
12 "indirectFromFactor": 0,
13 "indirectToFactor": 0,
14 "exchangeRateType": "string",
15 "alternateExchangeRateType": "string",
16 "fromCurrencyId": 0,
17 "fromCurrencyDisplayId": "string",
18 "toCurrencyId": 0,
19 "toCurrencyDisplayId": "string"
20}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 0,
19 "status": "CREATED",
20 "displayId": "string",
21 "erpSystemId": 0,
22 "erpSystemDisplayId": "string",
23 "validFrom": "2019-08-24",
24 "rate": 0,
25 "fromFactor": 0,
26 "toFactor": 0,
27 "indirectExchangeRate": 0,
28 "indirectFromFactor": 0,
29 "indirectToFactor": 0,
30 "exchangeRateType": "string",
31 "alternateExchangeRateType": "string",
32 "fromCurrencyId": 0,
33 "fromCurrencyDisplayId": "string",
34 "toCurrencyId": 0,
35 "toCurrencyDisplayId": "string"
36 }
37}
Delete¶
HTTP Request
DELETE /api/v1/exchange-rates/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Delete Or Decommission¶
HTTP Request
PUT /api/v1/exchange-rates/remove/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Delete Or Decommission All¶
HTTP Request
PUT /api/v1/exchange-rates/remove/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Decommission¶
HTTP Request
PUT /api/v1/exchange-rates/decommission/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 0,
19 "status": "CREATED",
20 "displayId": "string",
21 "erpSystemId": 0,
22 "erpSystemDisplayId": "string",
23 "validFrom": "2019-08-24",
24 "rate": 0,
25 "fromFactor": 0,
26 "toFactor": 0,
27 "indirectExchangeRate": 0,
28 "indirectFromFactor": 0,
29 "indirectToFactor": 0,
30 "exchangeRateType": "string",
31 "alternateExchangeRateType": "string",
32 "fromCurrencyId": 0,
33 "fromCurrencyDisplayId": "string",
34 "toCurrencyId": 0,
35 "toCurrencyDisplayId": "string"
36 }
37}
Decommission By Modification Date Before¶
HTTP Request
PUT /api/v1/exchange-rates/decommission/modified-before/{modified_before}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
modified_before |
path |
string(date-time) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 0,
20 "status": "CREATED",
21 "displayId": "string",
22 "erpSystemId": 0,
23 "erpSystemDisplayId": "string",
24 "validFrom": "2019-08-24",
25 "rate": 0,
26 "fromFactor": 0,
27 "toFactor": 0,
28 "indirectExchangeRate": 0,
29 "indirectFromFactor": 0,
30 "indirectToFactor": 0,
31 "exchangeRateType": "string",
32 "alternateExchangeRateType": "string",
33 "fromCurrencyId": 0,
34 "fromCurrencyDisplayId": "string",
35 "toCurrencyId": 0,
36 "toCurrencyDisplayId": "string"
37 }
38 ]
39}
Decommission Before Now¶
HTTP Request
PUT /api/v1/exchange-rates/decommission/modified-before-now
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 0,
20 "status": "CREATED",
21 "displayId": "string",
22 "erpSystemId": 0,
23 "erpSystemDisplayId": "string",
24 "validFrom": "2019-08-24",
25 "rate": 0,
26 "fromFactor": 0,
27 "toFactor": 0,
28 "indirectExchangeRate": 0,
29 "indirectFromFactor": 0,
30 "indirectToFactor": 0,
31 "exchangeRateType": "string",
32 "alternateExchangeRateType": "string",
33 "fromCurrencyId": 0,
34 "fromCurrencyDisplayId": "string",
35 "toCurrencyId": 0,
36 "toCurrencyDisplayId": "string"
37 }
38 ]
39}
Decommission All¶
HTTP Request
PUT /api/v1/exchange-rates/decommission/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 0,
20 "status": "CREATED",
21 "displayId": "string",
22 "erpSystemId": 0,
23 "erpSystemDisplayId": "string",
24 "validFrom": "2019-08-24",
25 "rate": 0,
26 "fromFactor": 0,
27 "toFactor": 0,
28 "indirectExchangeRate": 0,
29 "indirectFromFactor": 0,
30 "indirectToFactor": 0,
31 "exchangeRateType": "string",
32 "alternateExchangeRateType": "string",
33 "fromCurrencyId": 0,
34 "fromCurrencyDisplayId": "string",
35 "toCurrencyId": 0,
36 "toCurrencyDisplayId": "string"
37 }
38 ]
39}
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/exchange-rates/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 0,
20 "status": "CREATED",
21 "displayId": "string",
22 "erpSystemId": 0,
23 "erpSystemDisplayId": "string",
24 "validFrom": "2019-08-24",
25 "rate": 0,
26 "fromFactor": 0,
27 "toFactor": 0,
28 "indirectExchangeRate": 0,
29 "indirectFromFactor": 0,
30 "indirectToFactor": 0,
31 "exchangeRateType": "string",
32 "alternateExchangeRateType": "string",
33 "fromCurrencyId": 0,
34 "fromCurrencyDisplayId": "string",
35 "toCurrencyId": 0,
36 "toCurrencyDisplayId": "string"
37 }
38 ]
39}
Create Or Update¶
HTTP Request
PUT /api/v1/exchange-rates/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "status": "CREATED",
4 "displayId": "string",
5 "erpSystemId": 0,
6 "erpSystemDisplayId": "string",
7 "validFrom": "2019-08-24",
8 "rate": 0,
9 "fromFactor": 0,
10 "toFactor": 0,
11 "indirectExchangeRate": 0,
12 "indirectFromFactor": 0,
13 "indirectToFactor": 0,
14 "exchangeRateType": "string",
15 "alternateExchangeRateType": "string",
16 "fromCurrencyId": 0,
17 "fromCurrencyDisplayId": "string",
18 "toCurrencyId": 0,
19 "toCurrencyDisplayId": "string"
20}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 0,
19 "status": "CREATED",
20 "displayId": "string",
21 "erpSystemId": 0,
22 "erpSystemDisplayId": "string",
23 "validFrom": "2019-08-24",
24 "rate": 0,
25 "fromFactor": 0,
26 "toFactor": 0,
27 "indirectExchangeRate": 0,
28 "indirectFromFactor": 0,
29 "indirectToFactor": 0,
30 "exchangeRateType": "string",
31 "alternateExchangeRateType": "string",
32 "fromCurrencyId": 0,
33 "fromCurrencyDisplayId": "string",
34 "toCurrencyId": 0,
35 "toCurrencyDisplayId": "string"
36 }
37}
Bulk Update¶
HTTP Request
PUT /api/v1/exchange-rates/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 0,
20 "status": "CREATED",
21 "displayId": "string",
22 "erpSystemId": 0,
23 "erpSystemDisplayId": "string",
24 "validFrom": "2019-08-24",
25 "rate": 0,
26 "fromFactor": 0,
27 "toFactor": 0,
28 "indirectExchangeRate": 0,
29 "indirectFromFactor": 0,
30 "indirectToFactor": 0,
31 "exchangeRateType": "string",
32 "alternateExchangeRateType": "string",
33 "fromCurrencyId": 0,
34 "fromCurrencyDisplayId": "string",
35 "toCurrencyId": 0,
36 "toCurrencyDisplayId": "string"
37 }
38 ]
39}
Bulk Create¶
HTTP Request
POST /api/v1/exchange-rates/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": [
18 {
19 "id": 0,
20 "status": "CREATED",
21 "displayId": "string",
22 "erpSystemId": 0,
23 "erpSystemDisplayId": "string",
24 "validFrom": "2019-08-24",
25 "rate": 0,
26 "fromFactor": 0,
27 "toFactor": 0,
28 "indirectExchangeRate": 0,
29 "indirectFromFactor": 0,
30 "indirectToFactor": 0,
31 "exchangeRateType": "string",
32 "alternateExchangeRateType": "string",
33 "fromCurrencyId": 0,
34 "fromCurrencyDisplayId": "string",
35 "toCurrencyId": 0,
36 "toCurrencyDisplayId": "string"
37 }
38 ]
39}
Bulk Delete¶
HTTP Request
DELETE /api/v1/exchange-rates/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Search¶
HTTP Request
POST /api/v1/exchange-rates/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "statusEqual": "CREATED",
16 "statusIn": [
17 "CREATED"
18 ],
19 "displayIdIn": [
20 "string"
21 ],
22 "displayIdLike": "string",
23 "erpSystemIdEqual": 0,
24 "erpSystemIdIn": [
25 0
26 ],
27 "erpSystemDisplayIdLike": "string",
28 "validFromGreaterThanOrEqual": "2019-08-24",
29 "validFromLessThanOrEqual": "2019-08-24",
30 "validFromEqual": "2019-08-24",
31 "rateLike": "string",
32 "fromFactorLike": "string",
33 "toFactorLike": "string",
34 "indirectExchangeRateLike": "string",
35 "indirectFromFactorLike": "string",
36 "indirectToFactorLike": "string",
37 "exchangeRateTypeLike": "string",
38 "alternateExchangeRateTypeLike": "string",
39 "fromCurrencyIdEqual": 0,
40 "fromCurrencyDisplayIdLike": "string",
41 "toCurrencyIdEqual": 0,
42 "toCurrencyDisplayIdLike": "string"
43}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "validFrom": "2019-08-24",
26 "rate": 0,
27 "fromFactor": 0,
28 "toFactor": 0,
29 "indirectExchangeRate": 0,
30 "indirectFromFactor": 0,
31 "indirectToFactor": 0,
32 "exchangeRateType": "string",
33 "alternateExchangeRateType": "string",
34 "fromCurrencyId": 0,
35 "fromCurrencyDisplayId": "string",
36 "toCurrencyId": 0,
37 "toCurrencyDisplayId": "string"
38 }
39 ],
40 "number": 0,
41 "sort": {
42 "unsorted": true,
43 "sorted": true,
44 "empty": true
45 },
46 "first": true,
47 "last": true,
48 "empty": true
49}
Detach To Currency¶
HTTP Request
POST /api/v1/exchange-rates/detach/to-currency/{to_currency_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
to_currency_id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Detach From Currency¶
HTTP Request
POST /api/v1/exchange-rates/detach/from-currency/{currency_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
currency_id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Attach To Currency¶
HTTP Request
POST /api/v1/exchange-rates/attach/to-currency/{to_currency_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
to_currency_id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Attach From Currency¶
HTTP Request
POST /api/v1/exchange-rates/attach/from-currency/{from_currency_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
from_currency_id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "status": "CREATED",
5 "displayId": "string",
6 "erpSystemId": 0,
7 "erpSystemDisplayId": "string",
8 "validFrom": "2019-08-24",
9 "rate": 0,
10 "fromFactor": 0,
11 "toFactor": 0,
12 "indirectExchangeRate": 0,
13 "indirectFromFactor": 0,
14 "indirectToFactor": 0,
15 "exchangeRateType": "string",
16 "alternateExchangeRateType": "string",
17 "fromCurrencyId": 0,
18 "fromCurrencyDisplayId": "string",
19 "toCurrencyId": 0,
20 "toCurrencyDisplayId": "string"
21 }
22]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {}
18}
Find All¶
HTTP Request
GET /api/v1/exchange-rates
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "validFrom": "2019-08-24",
26 "rate": 0,
27 "fromFactor": 0,
28 "toFactor": 0,
29 "indirectExchangeRate": 0,
30 "indirectFromFactor": 0,
31 "indirectToFactor": 0,
32 "exchangeRateType": "string",
33 "alternateExchangeRateType": "string",
34 "fromCurrencyId": 0,
35 "fromCurrencyDisplayId": "string",
36 "toCurrencyId": 0,
37 "toCurrencyDisplayId": "string"
38 }
39 ],
40 "number": 0,
41 "sort": {
42 "unsorted": true,
43 "sorted": true,
44 "empty": true
45 },
46 "first": true,
47 "last": true,
48 "empty": true
49}
Create¶
HTTP Request
POST /api/v1/exchange-rates
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "status": "CREATED",
4 "displayId": "string",
5 "erpSystemId": 0,
6 "erpSystemDisplayId": "string",
7 "validFrom": "2019-08-24",
8 "rate": 0,
9 "fromFactor": 0,
10 "toFactor": 0,
11 "indirectExchangeRate": 0,
12 "indirectFromFactor": 0,
13 "indirectToFactor": 0,
14 "exchangeRateType": "string",
15 "alternateExchangeRateType": "string",
16 "fromCurrencyId": 0,
17 "fromCurrencyDisplayId": "string",
18 "toCurrencyId": 0,
19 "toCurrencyDisplayId": "string"
20}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "message": "string",
4 "defaultMessage": "string",
5 "debugMessage": "string",
6 "errors": {
7 "all": [
8 {
9 "type": "GENERIC",
10 "source": {},
11 "field": "string",
12 "errorKey": "string",
13 "errorMessage": "string"
14 }
15 ]
16 },
17 "object": {
18 "id": 0,
19 "status": "CREATED",
20 "displayId": "string",
21 "erpSystemId": 0,
22 "erpSystemDisplayId": "string",
23 "validFrom": "2019-08-24",
24 "rate": 0,
25 "fromFactor": 0,
26 "toFactor": 0,
27 "indirectExchangeRate": 0,
28 "indirectFromFactor": 0,
29 "indirectToFactor": 0,
30 "exchangeRateType": "string",
31 "alternateExchangeRateType": "string",
32 "fromCurrencyId": 0,
33 "fromCurrencyDisplayId": "string",
34 "toCurrencyId": 0,
35 "toCurrencyDisplayId": "string"
36 }
37}
Get All By To Currency¶
HTTP Request
GET /api/v1/exchange-rates/to-currency/{to_currency_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
to_currency_id |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "validFrom": "2019-08-24",
26 "rate": 0,
27 "fromFactor": 0,
28 "toFactor": 0,
29 "indirectExchangeRate": 0,
30 "indirectFromFactor": 0,
31 "indirectToFactor": 0,
32 "exchangeRateType": "string",
33 "alternateExchangeRateType": "string",
34 "fromCurrencyId": 0,
35 "fromCurrencyDisplayId": "string",
36 "toCurrencyId": 0,
37 "toCurrencyDisplayId": "string"
38 }
39 ],
40 "number": 0,
41 "sort": {
42 "unsorted": true,
43 "sorted": true,
44 "empty": true
45 },
46 "first": true,
47 "last": true,
48 "empty": true
49}
Get Metadata¶
HTTP Request
GET /api/v1/exchange-rates/meta
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "VALID_FROM"
3]
Response Schema
Get All By From Currency¶
HTTP Request
GET /api/v1/exchange-rates/from-currency/{currency_id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
currency_id |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "validFrom": "2019-08-24",
26 "rate": 0,
27 "fromFactor": 0,
28 "toFactor": 0,
29 "indirectExchangeRate": 0,
30 "indirectFromFactor": 0,
31 "indirectToFactor": 0,
32 "exchangeRateType": "string",
33 "alternateExchangeRateType": "string",
34 "fromCurrencyId": 0,
35 "fromCurrencyDisplayId": "string",
36 "toCurrencyId": 0,
37 "toCurrencyDisplayId": "string"
38 }
39 ],
40 "number": 0,
41 "sort": {
42 "unsorted": true,
43 "sorted": true,
44 "empty": true
45 },
46 "first": true,
47 "last": true,
48 "empty": true
49}
Find All By System Id¶
HTTP Request
GET /api/v1/exchange-rates/erp-system/{systemId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
systemId |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "status": "CREATED",
22 "displayId": "string",
23 "erpSystemId": 0,
24 "erpSystemDisplayId": "string",
25 "validFrom": "2019-08-24",
26 "rate": 0,
27 "fromFactor": 0,
28 "toFactor": 0,
29 "indirectExchangeRate": 0,
30 "indirectFromFactor": 0,
31 "indirectToFactor": 0,
32 "exchangeRateType": "string",
33 "alternateExchangeRateType": "string",
34 "fromCurrencyId": 0,
35 "fromCurrencyDisplayId": "string",
36 "toCurrencyId": 0,
37 "toCurrencyDisplayId": "string"
38 }
39 ],
40 "number": 0,
41 "sort": {
42 "unsorted": true,
43 "sorted": true,
44 "empty": true
45 },
46 "first": true,
47 "last": true,
48 "empty": true
49}